%undefine __brp_mangle_shebangs
%global debug_package %{nil}
Name: nvm
Version: 0.40.2
Release: 3%{?dist}
Summary: Node Version Manager manages multiple active node.js versions

License: MIT
URL: https://nvm.sh
Source: https://github.com/nvm-sh/nvm/archive/refs/tags/v%{version}.tar.gz
Source1: 50-nvm.sh

%description
Node Version Manager is a version manager for node.js which can download
NodeJS versions from https://nodejs.org and https://iojs.org, keep track
which versions are installed and switch between versions per project.

%prep
%setup -q -n nvm-%{version}

%install
install -t $RPM_BUILD_ROOT/%{_bindir}/ -D nvm-exec
install -t $RPM_BUILD_ROOT/%{_datadir}/nvm/ -D nvm.sh
install -T -D bash_completion $RPM_BUILD_ROOT/%{_sysconfdir}/bash_completion.d/nvm
install -t $RPM_BUILD_ROOT/%{_sysconfdir}/profile.d/ -D %{SOURCE1}
mkdir -p $RPM_BUILD_ROOT/usr/lib/nvm/versions/node/

%files
%{_bindir}/nvm-exec
%{_datadir}/nvm/*
%{_sysconfdir}/bash_completion.d/nvm
%{_sysconfdir}/profile.d/50-nvm.sh

%changelog
* Fri Mar 28 2025 Dick Marinus <dick@mrns.nl> - 0.40.2-3
Make sure 50-nvm.sh is sourced before the completions

* Fri Mar 28 2025 Dick Marinus <dick@mrns.nl> - 0.40.2-2
Place bash completions in the right directory

* Thu Mar 27 2025 Dick Marinus <dick@mrns.nl> - 0.40.2-1
v0.40.2, remove prebuild versions

* Mon Jan 20 2025 Dick Marinus <dick@mrns.nl> - 0.40.1-4
Add v22.11.0

* Fri Nov 15 2024 Dick Marinus <dick@mrns.nl> - 0.40.1-3
Add v20.12.2

* Tue Oct  1 2024 Dick Marinus <dick@mrns.nl> - 0.40.1-2
Add v18.18.2

* Wed Sep 25 2024 Dick Marinus <dick@mrns.nl> - 0.40.1-1
initial version
